Loading...
Searching...
No Matches
Ogre::Volume::IsoSurfaceMC Class Reference
Optional Components » Volume

Marching Cubes implementation like at http://local.wasp.uwa.edu.au/~pbourke/geometry/polygonise/. More...

`#include <OgreVolumeIsoSurfaceMC.h>`

Inheritance diagram for Ogre::Volume::IsoSurfaceMC:
[legend]

## Public Member Functions

| IsoSurfaceMC (const Source *src)
| Constructor.
void | addMarchingCubesTriangles (const Vector3 *corners, const Vector4 *volumeValues, MeshBuilder *mb) const override
| Overridden from IsoSurface.
void | addMarchingSquaresTriangles (const Vector3 *corners, const Vector4 *volumeValues, const size_t *indices, const Real maxDistance, MeshBuilder *mb) const override
| Overridden from IsoSurface.
Public Member Functions inherited from Ogre::Volume::IsoSurface
virtual | ~IsoSurface (void)

## Additional Inherited Members

Static Public Attributes inherited from Ogre::Volume::IsoSurface
static const size_t | MS_CORNERS_BACK [4]
| To call Marching Squares with a cube on its back.
static const size_t | MS_CORNERS_BOTTOM [4]
| To call Marching Squares with a cube on its bottom.
static const size_t | MS_CORNERS_FRONT [4]
| To call Marching Squares with a cube on its front.
static const size_t | MS_CORNERS_LEFT [4]
| To call Marching Squares with a cube on its left.
static const size_t | MS_CORNERS_RIGHT [4]
| To call Marching Squares with a cube on its right.
static const size_t | MS_CORNERS_TOP [4]
| To call Marching Squares with a cube on its top.

## Detailed Description

Marching Cubes implementation like at http://local.wasp.uwa.edu.au/~pbourke/geometry/polygonise/.

## Constructor & Destructor Documentation

## IsoSurfaceMC()

Ogre::Volume::IsoSurfaceMC::IsoSurfaceMC | ( | const Source * | src | ) |

explicit

Constructor.

Parameters

  src | The source for the isovalues and normals there.

## Member Function Documentation

## addMarchingCubesTriangles()

void Ogre::Volume::IsoSurfaceMC::addMarchingCubesTriangles | ( | const Vector3 * | corners,
|  | const Vector4 * | volumeValues,
|  | MeshBuilder * | mb ) const

override virtual

Overridden from IsoSurface.

Implements Ogre::Volume::IsoSurface.

## addMarchingSquaresTriangles()

void Ogre::Volume::IsoSurfaceMC::addMarchingSquaresTriangles | ( | const Vector3 * | corners,
|  | const Vector4 * | volumeValues,
|  | const size_t * | indices,
|  | const Real | maxDistance,
|  | MeshBuilder * | mb ) const

override virtual

Overridden from IsoSurface.

Implements Ogre::Volume::IsoSurface.

The documentation for this class was generated from the following file:

- OgreVolumeIsoSurfaceMC.h